//-----------------------------------------------------------------------------
// Torque Game Engine
//
// Copyright (c) 2002 ToRK
// Portions Copyright (c) 2001-2002 GarageGames.Com
// Portions Copyright (c) 2001-2002 by Sierra Online, Inc.
//-----------------------------------------------------------------------------

function TeleportGui::toggle(%this)
{
   if (%this.isAwake())
   {
      Canvas.popDialog(%this);
   }
   else
   {
      Canvas.pushDialog(%this);
   }
}
function TeleportGui::clear(%this)
{
   MapGuiList.clear();
}
function TeleportGui::remove(%this,%clientId)
{
   MapGuiList.removeRowById(%clientId);
}
// set the text fields the first time a trigger is entered:
function TeleportGui::initTextControls(%this, %num)
{
   for(%i = 1; %i <= %num; %i++)
   {
      %actText = "TeleportLocation" @ %i;
      %actText.setText("Target" SPC %i);
   }
}
function TeleportGui::initializeBeam(%this, %callingClient, %triggerName)
{
   // save references to client and current trigger
   $teleportClient = %callingClient;
   $teleportCheckname = %triggerName;
}


// mouse handlers for the target text fields to make them clickable
// if you need more triggers / teleports, add more text fields to TeleportGui.gui
// *and* here!

function TeleportLocation1::onMouseDown(%this, %obj) {
   TargetTeleportTrigger.startAction($teleportClient, $teleportCheckname, "1");
}
function TeleportLocation2::onMouseDown(%this, %obj) {
   TargetTeleportTrigger.startAction($teleportClient, $teleportCheckname, "2");
}
function TeleportLocation3::onMouseDown(%this, %obj) {
   TargetTeleportTrigger.startAction($teleportClient, $teleportCheckname, "3");
}
function TeleportLocation4::onMouseDown(%this, %obj) {
   TargetTeleportTrigger.startAction($teleportClient, $teleportCheckname, "4");
}
function TeleportLocation5::onMouseDown(%this, %obj) {
   TargetTeleportTrigger.startAction($teleportClient, $teleportCheckname, "5");
}
function TeleportLocation6::onMouseDown(%this, %obj) {
   TargetTeleportTrigger.startAction($teleportClient, $teleportCheckname, "6");
}

