//File: spawner.cs
//Author:	Justin Selgrad
//Date:		19 Nov 2005
//Notes:
//		- Spawner object

exec("./Enemies/AIPlayer.cs");
exec("./Enemies/BallisticAntaiPlayer.cs");
exec("./Enemies/EnergyAntaiPlayer.cs");
exec("./Enemies/MeleeAntaiPlayer.cs");
exec("./Enemies/PoisonAntaiPlayer.cs");
exec("./Enemies/CorrosionAntaiPlayer.cs");
exec("./Enemies/NumbAntaiPlayer.cs");

datablock StaticShapeData(GenericSpawner){
shapeFile = "~/data/shapes/markers/octahedron.dts";
category = "spawner";

spawnMin = 1; // Min to spawn
spawnMax = 10; // Max to spawn

botDataBlock[0] = 6;
botDataBlock[1] = DemoPlayerMelee;
botDataBlock[2] = DemoPlayerEnergy;
botDataBlock[3] = DemoPlayerBallistic;
botDataBlock[4] = DemoPlayerPoison;
botDataBlock[5] = DemoPlayerCorrosion;
botDataBlock[6] = DemoPlayerNumb;
};//GenericSpawner


function GenericSpawner::OnAdd(%this, %obj)
{
echo("adding spawner to list");
AddSpawner(%this, %obj);
echo("spawner "@%obj@" pos: "@%obj.getTransform());
}//GenericSpawner::OnAdd
