exec("./spawner.cs");
exec("./hivefuncs.cs");
exec("./level_one.cs");
function LevelInit()
{
	%level = 0;
	if(%level == 1)
	{
		echo(EnemyContainer::getMaxNumFlocks());
		Init_LevelOne();
		echo(EnemyContainer::getMaxNumFlocks());
	}
	else
	{
		echo("Entering LevelInit()");
		%maxflocks = EnemyContainer::getMaxNumFlocks();
		%boidsPerFlock = EnemyContainer::getMaxNumBoids();
		echo("Max Flocks "@%maxflocks@" BPF " @%boidsPerFlock);
		%i = 1;
		%h_counter = 1;	

		for(%i = 1; %i <= %maxflocks; %i++)
		{
		echo("Flock: "@%i);
				echo("Spawner: "@$SpawnList[%h_counter]);
		spawnnumber($SpawnList[%h_counter], %boidsPerFlock);
		EnemyContainer::setFlocksHomeHive(%i, $SpawnList[%h_counter]);
		EnemyContainer::setFlocksHighWaterMark(%i, %boidsPerFlock);
		EnemyContainer::setFlocksLowWaterMark(%i, (%boidsPerFlock/2));
		%h_counter++;
		if(%h_counter > $SpawnList[0])
		%h_counter = 1;
		}	
	}
	schedule(10000,0,CheckWorld);
}

// CheckWorld should be scheduled to run ever 30 seconds and should spawn x enemies into flocks that need it
function CheckWorld()
{
%i = 1;

%max = EnemyContainer::getMaxNumBoids() * EnemyContainer::getMaxNumFlocks();
messageAll(NULL,"Checking the state of the world... ");
echo("Checking the state of the world");

%numflocks = EnemyContainer::getNumFlocks();


%hive = -1;
%lowwater = 0;
%highwater = 0;
%num = 0;
for(%i = 1; %i <= %numflocks; %i++)
{
%num = EnemyContainer::getShouldRespawnFromFlock(%i);
echo("Flock: "@%i@" Respawn: "@%num);
echo(EnemyContainer::getNumBoidsFromFlock(%i));
	if( %num > 0)
	{
		%hive = EnemyContainer::getHomeHiveFromFlock(%i);
//echo("**************************\n"@isObject(%hive));
		if(%hive.getDamageState() $= "Enabled")
		{
			messageAll(NULL,"Flock "@%i@" respawning "@%num);
			SpawnNumberToFlock(%hive,%num,%i);
		}
		else
		{
			messageAll(NULL,"Cannot Respawn: Flock "@%i@"'s home hive "@%hive@" is destroyed");
		}
//	BallisticAntAIPlayer::LoadEntitiesToFlock(%i);
//	EnergyAntAIPlayer::LoadEntitiesToFlock(%i);
//	MeleeAntAIPlayer::LoadEntitiesToFlock(%i);
	}
echo(EnemyContainer::getNumBoidsFromFlock(%i));
}

%test = 0;
for(%i = 1; %i <= $SpawnList[0]; %i++)
{
	if ($SpawnList[%i].getDamageState() $= "Enabled")
		%test = %test +1;
	
}
if(%test == 0)
	{
	messageAll(NULL, "No More Hives!");
	endGame();
	}
else
	messageAll(NULL,%test@"/"@$SpawnList[0]@" hives left");
schedule(10000,0,CheckWorld);
}
