//File: 	damagemultiplier.cs
//Author:	TL
//Date:		15 Nov 2005
//Notes:

//Multilpies the damage done by all weapons for 30 sec

datablock ItemData(DamageMultiplier)
{
category = "PowerUp";

   // Basic Item properties
shapeFile = "~/data/shapes/items/healthPatch.dts";
mass = 1;
friction = 1;
elasticity = 0.3;

maxInventory = 0; // No pickup or throw
};

function DamageMultiplier::onCollision(%this,%obj,%col)
{
	if(%col.dMult !=0)
	  cancel(%col.dMult);
	
	%col.setIsDamageMultiplier(1);
	if (%col.client)
		messageClient(%col.client, 'MsgDamageMultiplier', 'Damage Multiplier Enabled');
	%col.dMult = %this.schedule(30000,"restoreDamageModifier",%col);
	
}

function DamageMultiplier::restoreDamageModifier(%this,%col)
{
	if (%col.client)
		messageClient(%col.client, 'MsgDamageMultiplierUsed', 'Damage Mutliplier Disabled');
	%col.setIsDamageMultiplier(0);
}
