//File: 	laserbeamupgrade.cs
//Author:	TL
//Date:		08 Dec 2005
//Notes:
//Upgrades LaserBeam Level, will need to be created in the world when time is right for the player



datablock ItemData(LaserBeamUpgrade)
{
	category = "Upgrade";

	//basic item properties
	shapeFile = "~/data/shapes/items/healthKit.dts";
	mass = 1;
	friction = 1;
	elasticity = 0.3;
	pickUpName = "LaserBeamUpgrade";
	maxInventory = 2;
};

function LaserBeamUpgrade::create(%data)
{
   //Don't want machinegunupgrades to re-spawn, wants the game manager to determine when to release into the world
	%obj = new Item() 
	{
	dataBlock = %data;
	static = false;
	rotate = true;
	};
	return %obj;
}



function LaserBeamUpgrade::onCollision(%this,%obj,%col)
{
	//echo ("Test");
	%currLevel = %col.getCurrentLaserBeamLevel();
	//%inv = %col.getInventory(%this);
	//echo("Number of upgrades " @ %inv);
	%col.decInventory(%this,1);
	//%inv = %col.getInventory(%this);
	//echo("New Number of upgrades " @ %inv);
	//echo ("Curr LaserBeam " @ %currLevel);
	if(%col.getClassName() !$= "AIPlayer" && %currLevel < 3)
	{
		%col.setCurrentLaserBeamLevel(1);
		//Update the players weapon levels.
	    %col.client.setWeaponLevels(%col.GetCurrentMachineGunLevel(), %col.GetCurrentShotgunLevel(), %col.GetCurrentRocketLauncherLevel(), %col.GetCurrentPulseLaserLevel(), %col.GetCurrentLaserBeamLevel()); 
		echo("Laserbeam lev " @ %col.getCurrentLaserBeamLevel());
	}
	
	%currWeapon = %col.getMountedImage($WeaponSlot).item.getName();//item.getName();
	
	echo("Curr Weapon " @ %currWeapon);
	if (%currWeapon $= "LaserBeam")
	//if(%currWeapon == "LaserBeamImage" || %currWeapon == "LaserBeamImageLev2" || %currWeapon == "LaserBeamImageLev3")
	{
		echo("Carrying laser beam already");
		%currLevel = %col.getCurrentLaserBeamLevel();
		if (%currLevel == 2)
		%col.mountImage(LaserBeamImageLev2,0);
		else if (%currLevel == 3)
		%col.mountImage(LaserBeamImageLev3,0);
		else  //should not occur because should not be at Level 1
		%col.mountImage(LaserBeamImage,0);
	}
}