//File: 	machinegunlev2.cs
//Author:	TL
//Date:		31 Oct 2005
//Notes:
//Level2 Machinegun Projectile
//To upgrade the machinegun, pick up an item and check player's machine gun level, then %player.mountImage(MachinegunImageLev2,0)

datablock ProjectileData(MachinegunProjectileLev2 : MachinegunProjectile)
{
classname = "MachinegunProjectile";
directDamage        = 200;  //changed - doubling MG1 damage (MP)
   //explosion           = MachinegunExplosion;
   //waterExplosion      = MachinegunWaterExplosion;

muzzleVelocity      = 200;  //changed
 
lightRadius = 10.0;
lightColor  = "0.0 1.0 0.0"; //changed

hasWaterLight     = true;
waterLightColor   = "1.0 0.0 0.0";
};


//-----------------------------------------------------------------------------
//Level2 Machinegun Image
datablock ShapeBaseImageData(MachinegunImageLev2: MachinegunImage)
{
className = "MachinegunImage";

   // Projectile && Ammo.
item = Machinegun;
ammo = BallisticAmmo;
projectile = MachinegunProjectileLev2;
projectileType = Projectile;
   
   //Projectile spread: increasing the value will make the radius bigger
projectileSpread = 10/1000;

   
stateTimeoutValue[3]             = 0.02;//0.7;
   
stateTimeoutValue[4]             = 0.15; //0.02 .3
};

/*

function MachinegunImageLev2::onFire(%this, %obj, %slot)
{
   %projectile = %this.projectile;

   // Tries to decrement inventory ammo by. The image's ammo state is update
   // automatically by the ammo inventory hooks.
   if(%this.isShotGun)
   %shellcount = %obj.decInventory(%this.ammo,1);

	//Update ballistic ammo counter. -MP
   %currentAmmo = %obj.getInventory(%this.ammo);
   %obj.client.setAmmoAmountHud(%currentAmmo);
   
   //Spread
   %spread = %this.projectileSpread;
   %spread = %spread $= ""?0.001 : %spread;
   %spread = %spread <= 0 ? 0.001: %spread;
   
   echo("Velocity is " @ %projectile.muzzleVelocity);
   // Determine initial projectile velocity based on the 
   // gun's muzzle point and the object's current velocity
   %muzzleVector = %obj.getMuzzleVector(%slot);
   %objectVelocity = %obj.getVelocity();
   %muzzleVelocity = VectorAdd(
      VectorScale(%muzzleVector, %projectile.muzzleVelocity),
      VectorScale(%objectVelocity, %projectile.velInheritFactor));

   // Determine our random x, y and z points in our spread circle and create 
   // a spread matrix.
	%x = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
	%y = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
	%z = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
	%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
	
	%muzzleVelocity = MatrixMulVector(%mat, %muzzleVelocity);
   // Create the projectile object
   %p = new (%this.projectileType)() {
      dataBlock        = %projectile;
      initialVelocity  = %muzzleVelocity;
      initialPosition  = %obj.getMuzzlePoint(%slot);
      sourceObject     = %obj;
      sourceSlot       = %slot;
      client           = %obj.client;
   };
   MissionCleanup.add(%p);
   
   return %p;
}



*/