//File: 	shotgunupgrade.cs
//Author:	TL
//Date:		02 Nov 2005
//Notes:
//Upgrades Shotgun Level, will need to be created in the world when time is right for the player



datablock ItemData(ShotgunUpgrade)
{
	category = "Upgrade";

	//basic item properties
	shapeFile = "~/data/shapes/items/healthKit.dts";
	mass = 1;
	friction = 1;
	elasticity = 0.3;
	pickUpName = "ShotgunUpgrade";
	maxInventory = 2;
};

function ShotgunUpgrade::create(%data)
{
   //Don't want shotgunupgrades to re-spawn, wants the game manager to determine when to release into the world
	%obj = new Item() 
	{
		dataBlock = %data;
		static = false;
		rotate = true;
	};
	return %obj;
}



function ShotgunUpgrade::onCollision(%this,%obj,%col)
{
	%currLevel = %col.getCurrentShotGunLevel();
	%col.decInventory(%this,1);
	if(%col.getClassName() !$= "AIPlayer" && %currLevel < 3)
	{
	  %col.setCurrentShotGunLevel(1);

		//Update the players weapon levels.
		%col.client.setWeaponLevels(%col.GetCurrentMachineGunLevel(), %col.GetCurrentShotgunLevel(), %col.GetCurrentRocketLauncherLevel(), %col.GetCurrentPulseLaserLevel(), %col.GetCurrentLaserBeamLevel()); 

	}  

	%currWeapon = %col.getMountedImage($WeaponSlot).item.getName();

	if(%currWeapon $= "Shotgun")
	{
		%currLevel = %col.getCurrentShotGunLevel();
		if (%currLevel == 2)
		  %col.mountImage(ShotgunImageLev2,0);
		else if (%currLevel == 3)
		  %col.mountImage(ShotgunImageLev3,0);
		else  //should not occur because should not be at Level 1
		  %col.mountImage(ShotgunImage,0);
	
	}
}