//File:     superarmor.cs
//Author:   TL
//Date:     16 Nov 2005
//Notes:

//Doubles armor level for 30s

datablock ItemData(SuperArmor)
{
	category = "PowerUp";
	// Basic Item properties
	shapeFile = "~/data/shapes/items/healthPatch.dts";
	mass = 1;
	friction = 1;
	elasticity = 0.3;

	maxInventory = 0; // No pickup or throw
};

function SuperArmor::onCollision(%this,%obj,%col)
{
	if(%col.getClassName() $= "Player")
	{
		if (%col.sArmor !=0)
		cancel(%col.sArmor);
		%curArmor = %col.getArmorValue();
		echo("Current Armor: " @ %col.getArmorValue());
		%col.setArmorValue(2 * %curArmor);
		echo("New Armor: " @ %col.getArmorValue());
		if (%col.client)
		messageClient(%col.client, 'MsgSuperArmorUsed', 'Super Armor Enabled');
		%col.sArmor = %this.schedule(30000,"restoreArmor",%col,%curArmor);
		//%this.schedule(3000,"respawnSuperArmor",%obj.getName(),%obj.position,%obj.rotation,%obj.scale,%obj.dataBlock);
		%obj.delete(); 
	}       
}

function SuperArmor::restoreArmor(%this,%col,%curArmor)
{
    //echo("revert to new Armor");
	if (%col.client)
		messageClient(%col.client, 'MsgSuperArmorUp', 'Super Armor Disabled');
	%col.setArmorValue(%curArmor);
    //echo("armor back to " @ %col.getArmorValue());
}

function SuperArmor::respawnSuperArmor(%nName,%nPosition,%nRotation,%nScale,%nDataBlock)
{
	echo("In respawnSuperArmor");
	echo(%nName);
	echo(%nPosition);
	echo(%nRoatation);
	echo(%nScale);
	echo(%nDataBlock);
}