//File: 	supershield.cs
//Author:	TL
//Date:		15 Nov 2005
//Notes:

//Doubles the shield absorption modifier for 30s

datablock ItemData(SuperShield)
{
category = "PowerUp";
   // Basic Item properties
shapeFile = "~/data/shapes/items/healthPatch.dts";
mass = 1;
friction = 1;
elasticity = 0.3;

maxInventory = 0; // No pickup or throw
};

function SuperShield::onCollision(%this,%obj,%col)
{
	if(%col.getClassName() $= "Player")
	{
		if(%col.sShield !=0)
			cancel(%col.sShield);
		
		%col.setIsSuperShield(1);
		messageClient(%col.client, 'MsgSuperShieldUsed', 'Super Shield Enabled');
		echo("Shield is now " @ %col.getIsSuperShield());
		%col.sShield = %this.schedule(30000,"restoreShield",%col);
	}
}


function SuperShield::restoreShield(%this,%col)
{
	if (%col.client)
		messageClient(%col.client, 'MsgSuperShieldUp', 'Super Shield Disabled');
	%col.setIsSuperShield(0);
	echo("Shield is now " @ %col.getIsSuperShield());
}