datablock AudioProfile(HeavyRainSound){   
	filename = "~/data/sound/ThunderRain.ogg";
	description = AudioLooping2d;
};

datablock PrecipitationData(HeavyRain){
   soundProfile = "HeavyRainSound";
   dropTexture = "~/data/environment/rain2";
   splashTexture = "~/data/environment/scrollrain";
   //splashTexture = "~/data/shapes/particles/bubble";
   dropSize = 0.2;
   splashSize = 0.2;
   useTrueBillboards = false;
   splashMS = 250;
};

function startHeavyRain(){
if (!isObject($Rain))      
 $Rain = new Precipitation() {         
                              datablock = "HeavyRain";         
							  percentage = "1";         
                              color1 = "0.700000 0.700000 0.700000 1";         
                              color2 = "-1.000000 0.000000 0.000000 1.000000";         
                              color3 = "-1.000000 0.000000 0.000000 1.000000";         
                              offsetSpeed = "0";         
                              minVelocity = "4";         
                              maxVelocity = "5";         
                              maxNumDrops = "6000";         
                              maxRadius = "20";         
                              locked = "false";
                             };
}

function stopRain()
{
   $Rain.delete();
}